Bug 65743 - xinetd doesn't allow /32 anymore in only_from option
xinetd doesn't allow /32 anymore in only_from option
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-30 21:44 EDT by Dag Wieers
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 15:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2002-05-30 21:44:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
The newer xinetd released with Red Hat 7.3 breaks some of our xinetd.d-scripts
that uses only_from with the following format 1.2.3.4/32. It seems that "/32"
isn't allowed (anymore) alhtough the documentation 'manual pages) still uses it
as an example.

This breaks some services on all our upgraded machines and needs manual
intervention to overcome the problem.

Using other CIDR-masks than /32 seems to work fine though. (Although doing eg.
1.2.3.4/24 doesn't work, but I don't know if it used to work either. 1.2.3.0/24
works as expected)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try adding "only_from = 1.2.3.4/32" on a RH 7.2 (or 7.1 or 7.0)
2.Then do the same on a RH 7.3 and it fails
3.
	

Actual Results:  It doesn't allow connections when using /32 although it doesn't
fail whil restarting xinetd (or didn't print out a message).

Expected Results:  It used to work with /32

Additional info:
Comment 1 Kyugn-sang, Hwang 2002-06-06 02:45:01 EDT
no_access, only_from, access_times
Comment 2 Trond Eivind Glomsrxd 2002-06-19 15:17:46 EDT
Verified. Still a problem with 2.3.5-1
Comment 3 Trond Eivind Glomsrxd 2002-06-26 15:22:11 EDT
Fixed in xinetd 2.3.5-3.

Note You need to log in before you can comment on or make changes to this bug.